package com.ruoyi.web.domain;

import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.HashMap;
import java.util.Map;

@Data
@ApiModel("组卷记录条件")
@AllArgsConstructor
@NoArgsConstructor
public class TestRecordCond {
    @ApiModelProperty("组卷方式")
    String buildType;
    @ApiModelProperty("批次")
    Integer batchId;
    @ApiModelProperty("班级")
    Long classId;
    @ApiModelProperty("科目")
    Long subjectId;
    @ApiModelProperty("组卷状态")
    Integer buildStatus;
    @JsonIgnore
    Long teacherId;

    public Map toMap() {
        Map map = new HashMap();
        map.put("buildType", buildType);
        map.put("batchId", batchId);
        map.put("classId", classId);
        map.put("subjectId", subjectId);
        map.put("buildStatus", buildStatus);
        map.put("teacherId", teacherId);
        return map;
    }
}
